%define anolis_release 1
%bcond_without tests
%global pypi_name charset-normalizer
%global specrelname charset_normalizer

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Truly universal encoding detector in pure Python
License:        MIT
URL:            https://github.com/Ousret/%{specrelname}
Source0:        https://files.pythonhosted.org/packages/ff/d7/8d757f8bd45be079d76309248845a04f09619a7b17d6dfc8c9ff6433cac2/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-sphinx python%{python3_pkgversion}-sphinx_rtd_theme
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%description
A library that helps you read text from an unknown charset encoding. Motivated
by chardet, trying to resolve the issue by taking a new approach. All IANA
character set names for which the Python core library provides codecs are
supported.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Truly universal encoding detector in pure Python

%description -n python%{python3_pkgversion}-%{pypi_name}
A library that helps you read text from an unknown charset encoding. Motivated
by chardet, trying to resolve the issue by taking a new approach. All IANA
character set names for which the Python core library provides codecs are
supported.

%package -n python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        Documentation files for python%{python3_pkgversion}-%{pypi_name}
BuildArch:      noarch
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
Documentation fliles for python%{python3_pkgversion}-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -i "/addopts = --cov/d" setup.cfg
sed -i 's/furo/sphinx_rtd_theme/g' docs/requirements.txt
sed -i "s/html_theme = 'furo'/html_theme = 'sphinx_rtd_theme'/g" docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
rm -rf html/_static/fonts/

%install
%pyproject_install
%pyproject_save_files %{specrelname}

%if %{with tests}
%check
%pytest tests
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/normalizer

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc README.md CHANGELOG.md
%doc html


%changelog 
* Sun Apr 09 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.1.0-1
- Update to 3.1.0

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.1-1
- update to version 3.0.1

* Mon Apr 18 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.0.12-1
- Init package from upstream v2.0.12
